/*
 * API for the library that talks to RPCD, the RPC daemon.
 *
 * This include file is meant to be included by applications that send
 * and receive packets with the help of rpcd, the rpc daemon.

 * These functions are used to send messages to RPCD (which must be
 * running already).  RPCD safely multiplexes messages being sent to
 * it by multiple processes that may be running this library, and
 * sends messages out to the radio.
 *
 * J. Elson 9 Sep 1999
 * Updated 2 March 2000
 *
 * $Id: rpcd_api.h,v 1.1 2000/03/08 01:31:36 jelson Exp $
 */

/* Public functions - part of the API */
void radiometrix_set_debug_level(int level);
int radiometrix_init();
int radiometrix_init_debug(caddr_t hostname, u_int16_t port);
int radiometrix_send(caddr_t message, int length);
int radiometrix_init_frag_debug(char *hostname);

#ifndef DIFFUSION_PORT
#define DIFFUSION_PORT        2000
#endif

#define DEFAULT_RDEBUG_LEVEL  1

/* interface ends */
