/*
 * this demonstrates the "augmented" minor modes (e.g. modes 2 and 3)
 * of the character device driver
 */

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <krpc.h>

int main(int argc, char *argv[]) 
{
  char buf[1024];
  struct rpc_augmented *aug = (struct rpc_augmented *) buf;
  char *data = buf + sizeof(struct rpc_augmented);
  int fd, n;

  if (argc != 2) {
    printf("usage: %s file-to-read\n", argv[0]);
    exit(1);
  }

  if ((fd = open(argv[1], O_RDONLY))  < 0) {
    perror(argv[1]);
    exit(1);
  }

  for (;;) {
    n = read(fd, buf, 1024);
    if (n <= 0) {
      perror("read");
      exit(1);
    }

    if (n < sizeof(struct rpc_augmented)) {
      printf("error: got short packet, length %d\n", n);
      continue;
    }

    buf[n] = '\0';

    printf("received at %ld.%ld: %s\n", aug->packet_time.tv_sec,
           aug->packet_time.tv_usec, data);
  }

  return 0;
}
