/*
 * rpcsend.c: Simple program to send a message on the RPC.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "rpc.h"


int main(int argc, char *argv[])
{
  /* make sure the user gave us an arg */
  if (argc != 2) {
    fprintf(stderr, "Usage: %s [message]\n", argv[0]);
    exit(1);
  }

  /* initialize the RPC library */
  if (rpc_init() < 0)
    exit(1);

  /* tell the RPC to go into "sleep" mode. */
  rpc_send_control(0, ((1 << 7) | (1 << 6)));

  /* truncate message if necessary */
  if (strlen(argv[1]) > 27)
    argv[1][27] = '\0';

  /* send message */
  rpc_send_message(argv[1], strlen(argv[1]));

  return 0;
}

