/*
 * rpctransceieve: Transmits and receives with an RPC.  Periodically
 * polls for incoming messages, and periodically checks the file
 * "/tmp/xmit" to see if it exists; if so, its contents are
 * transmitted.
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "rpc.h"



void print_message(char *message, int length)
{
  printf("Got the following message: ");
  while (length--)
    putchar(*(message++));
  putchar('\n');
}


int main(int argc, char *argv[])
{
  FILE *fl;
  int length;
  char buf[30];

  /* initialize the RPC library */
  if (rpc_init() < 0)
    exit(1);

  /* tell the library to call print_message() if something arrives */
  rpc_register_incoming_message_callback(print_message);

  for (;;) {
    /* try and receive something */
    rpc_receive_message();

    /* check if we should transmit something */
    if ((fl = fopen("/tmp/xmit", "r")) != NULL) {
      remove("/tmp/xmit");
      length = fread(buf, 1, 27, fl);
      if (length > 0) {
        buf[length] = '\0';
        printf("transmitting: '%s'...\n", buf);
        rpc_send_message(buf, length);
      }
      fclose(fl);
    }

    /* sleep 0.1 seconds */
    usleep(100000);
  }
}
