/*
 * Debugging harness for radiometrix API.  This module sends packets
 * directly to a "software radio" that repeats the packets to other
 * nodes.
 */

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <ctype.h>
#include <limits.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/wait.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <netinet/in.h>
#include <unistd.h>
#include <netdb.h>
#include <string.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "rpcd_api.h"
#include "rpcd.h"

static struct sockaddr_in server_sa;
static int server_fd;


int init_server_connection(char *hostname, u_int16_t port)
{
  if (hostname == NULL || *hostname == '\0') {
    RDEBUG(1, "hostname must be provided in debug mode");
    return -1;
  }

  if ((server_fd = create_udp_source(hostname, port, &server_sa))<0){
    RDEBUG(1, "unable to start debug mode");
    return -1;
  }

  return 0;
}


int send_to_server(caddr_t message, int length)
{
  if (sendto(server_fd, message, length, 0,
             (struct sockaddr *) &server_sa, sizeof(server_sa)) < 0) {
    RAW_RDEBUG(1, perror("sending packet"));
    return -1;
  }

  return 0;
}
